wherefrom-compat

A compatibility layer for GHC's 'wherefrom' function

Version on this page:0.1.1.1
Stackage Nightly 2024-06-22:0.1.1.1
Latest on Hackage:0.2.0.0

See all snapshots wherefrom-compat appears in

BSD-2-Clause licensed by Teo Camarasu
Maintained by [email protected]
This version can be pinned in stack with:wherefrom-compat-0.1.1.1@sha256:56395fb74ac70cd19366c9d2e0151b396a4e774ab6c9b90c3f294ebef4f21b73,1385

Module documentation for 0.1.1.1

Depends on 1 package(full list with versions):
Used by 1 package in nightly-2024-06-22(full list with versions):

A compatibility layer for GHC's wherefrom function, which exposes info provenance information. Each major version of this library exports a different version of this interface.

Changes

Revision history for wherefrom-compat

0.1.1.1 – 2024/05/24

  • Support GHC-9.10

0.1.1.0 – 2024/02/01

  • Fix interface around srcFile/srcSpan.

0.1.0.0 – 2024/02/01

  • First version. Released on an unsuspecting world.